Skip to main content
`Ctrl`+`K`
scipy.signal.

# buttap

scipy.signal.buttap(N, *, xp=None, device=None)

  Return (z,p,k) for analog prototype of Nth-order Butterworth filter.

  The filter will have an angular (e.g., rad/s) cutoff frequency of 1.

  Parameters:
    N int

      The order of the filter

    xp array_namespace, optional

      Optional array namespace. Should be compatible with the array API standard, or supported by array-api-compat. Default: `numpy`

    device: any

      optional device specification for output. Should match one of the supported device specification in `xp`.

  Returns:
    z ndarray[float64]

      Zeros of the transfer function. Is always an empty array.

    p ndarray[complex128]

      Poles of the transfer function.

    k float

      Gain of the transfer function.

  See also

  `butter`

    Filter design function using this prototype

  Notes

  Array API Standard Support

  `buttap` has experimental support for Python Array API Standard compatible backends in addition to NumPy. Please consider testing these features by setting an environment variable `SCIPY_ARRAY_API=1` and providing CuPy, PyTorch, JAX, or Dask arrays as array arguments. The following combinations of backend and device (or other capability) are supported.

  Library | CPU | GPU
  --- | --- | ---
  NumPy | ✅ | n/a
  CuPy | n/a | ✅
  PyTorch | ✅ | ✅
  JAX | ✅ | ✅
  Dask | ✅ | n/a

  > See Support for the array API standard for more information.